javax.transaction

## Class SystemException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.transaction.SystemException

- All Implemented Interfaces:
    Serializable

      public class SystemException
      extends Exception

  The SystemException is thrown by the transaction manager to indicate that it has encountered an unexpected error condition that prevents future transaction services from proceeding.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `errorCode` The error code with which to create the SystemException.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SystemException()`
    `SystemException(int errcode)` Create a SystemException with a given error code.
    `SystemException(String s)` Create a SystemException with a given string.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### errorCode

          public int errorCode

      The error code with which to create the SystemException.

  - ### Constructor Detail

    - #### SystemException

          public SystemException()

    - #### SystemException

          public SystemException(String s)

      Create a SystemException with a given string.
      Parameters:
        `s` - The string message for the exception

    - #### SystemException

          public SystemException(int errcode)

      Create a SystemException with a given error code.
      Parameters:
        `errcode` - The error code for the exception

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.